#include "io430.h"
#include <stdbool.h>

void initialize(void);
int getTemperature(void);
int getTemperature10(void);

int main(void)
{
  initialize();
  P1DIR |= 0x41;
  
  int initialTemperature = getTemperature10();
  
  while(true)
  {
    if(getTemperature10() > initialTemperature)
    {
      // rote LED an, grne LED aus
      P1OUT |= 1;
      P1OUT &= ~0x40;
    }
    else
    {
      // grne LED an, rote LED aus
      P1OUT |= 0x40;
      P1OUT &= ~1;      
    }
  }

  // unntig wegen Endlosschleife:
  // return 0;
}

void initialize(void)
{
  WDTCTL = WDTPW | WDTHOLD;
  ADC10CTL0 = SREF_1 | ADC10SHT_3 | REFON | ADC10ON;
  ADC10CTL1 = ADC10DIV_3 | INCH_10;
}

int getTemperature(void)
{
  ADC10CTL0 |= ENC | ADC10SC;
  while ((ADC10CTL1 & ADC10BUSY) != 0)
  {}
  return ADC10MEM;
}

int getTemperature10(void)
{
  int sum = 0;
  for(int i = 0; i < 10; i++)
  {
    sum += getTemperature();
  }
  return sum;
}